#ifndef _STRING_H_
#define _STRING_H_

#include <types.h>

void *memcpy(void *dst, const void *src, size_t n);
void *memset(void *dst, int c, size_t n);
size_t strlen(const char *s);
char *strcpy(char *dst, const char *src);
const char *strchr(const char *s, int c);
int strcmp(const char *p, const char *q);
//new
char *  strcat (char *dest, const char *src);
int strncmp(const char* str1, const char* str2, int n);
char* strstr(const char* str1, const char* str2);
int isvar(int c) ;
int isalnum(int c);
int isalpha(int c);
char *strrchr(const char *s, int c);
char *strncpy(char *dest, const char *src, size_t n);
void* memmove(void* dest, const void* sour, size_t num);
void merge_path(char* new_dir, const char* prev_dir, const char* next_dir);
int count_mulline(char* command);
void devide_mulline(char* command, char* single, int n);
//
#endif
